<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.1                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529     Patch: 8                                                  |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Tasks
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER" ) )
{
	die( "Error" );
}
/**
 * CompatDB.org Linux list sync for automated tasks
 * @author Philipp Louis Esselbach
 */
$database -> dbquery( "TRUNCATE TABLE " . DB_PREFIX . "esselbach_ct_compatdbos WHERE compatdbos_list = '2'" );
$results = $database -> dbquery( "SELECT compatdb_id, compatdb_category, compatdb_operatingsystems, compatdb_entries FROM " . DB_PREFIX . "esselbach_ct_compatdb WHERE compatdb_list = '2'" );

while( list( $compatdb_id, $compatdb_category, $compatdb_operatingsystems, $compatdb_entries ) = $database -> dbrow( $results ) )
{
	if( $compatdb_category == 1 )
	{
		$compatdb_category_seo = " applications";
	}
	
	if( $compatdb_category == 2 )
	{
		$compatdb_category_seo = " games";
	}
	
	if( $compatdb_category == 3 )
	{
		$compatdb_category_seo = " hardware";
	}
	
	$compatdbentry_os_previous = "";
	$results2 = $database -> dbquery( "SELECT compatdbentry_os FROM " . DB_PREFIX . "esselbach_ct_compatdbentries WHERE compatdbentry_product = '" . $compatdb_id . "' ORDER BY compatdbentry_os" );
	
	while( list( $compatdbentry_os ) = $database -> dbrow( $results2 ) )
	{
		$results3 = $database -> dbquery( "SELECT compatdbos_id FROM " . DB_PREFIX . "esselbach_ct_compatdbos WHERE compatdbos_name = '" . $database -> dbescape( $compatdbentry_os ) . "' AND compatdbos_category = '" . $compatdb_category . "' AND compatdbos_list = '2'" );
		
		if( !$database -> dbrows( $results3 ) )
		{
			$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_compatdbos (compatdbos_id, compatdbos_list, compatdbos_category, compatdbos_name, compatdbos_seo, compatdbos_description, compatdbos_keywords, compatdbos_products, compatdbos_entries) VALUES (NULL, '2', '" . $compatdb_category . "', '" . $database -> dbescape( $compatdbentry_os ) . "', '" . $system -> doseo( $compatdbentry_os . $compatdb_category_seo ) . "', '" . $words_compatdb[ '_COMPATIBILITY_RESULTS_FOR' ] . " " . $database -> dbescape( $compatdbentry_os ) . "', '" . $database -> dbescape( $compatdbentry_os ) . ", " . $words_compatdb[ 'COMPATIBILITY_KEYWORDS' ] . "', '0', '0')" );
		}
		
		if( $compatdbentry_os != $compatdbentry_os_previous )
		{
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_compatdbos SET compatdbos_products = compatdbos_products + 1, compatdbos_entries = compatdbos_entries + 1 WHERE compatdbos_name = '" . $database -> dbescape( $compatdbentry_os ) . "' AND compatdbos_category = '" . $compatdb_category . "' AND compatdbos_list = '2'" );
		}
		else
		{
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_compatdbos SET compatdbos_entries = compatdbos_entries + 1 WHERE compatdbos_name = '" . $database -> dbescape( $compatdbentry_os ) . "' AND compatdbos_category = '" . $compatdb_category . "' AND compatdbos_list = '2'" );
		}
		
		$compatdbentry_os_previous = $compatdbentry_os;
	}
}

$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_compatdbvendors WHERE compatdbvendor_list = '2'" );
$previous_vendor = "";
$results = $database -> dbquery( "SELECT compatdb_category, compatdb_vendor, compatdb_entries FROM " . DB_PREFIX . "esselbach_ct_compatdb WHERE compatdb_list = '2' ORDER BY compatdb_vendor" );

while( list( $compatdb_category, $compatdb_vendor, $compatdb_entries ) = $database -> dbrow( $results ) )
{
	if( $compatdb_category == 1 )
	{
		$compatdb_category_seo = " applications";
	}
	
	if( $compatdb_category == 2 )
	{
		$compatdb_category_seo = " games";
	}
	
	if( $compatdb_category == 3 )
	{
		$compatdb_category_seo = " hardware";
	}
	
	if( strtolower( $compatdb_vendor ) != strtolower( $previous_vendor ) )
	{
		$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_compatdbvendors (compatdbvendor_id, compatdbvendor_list, compatdbvendor_category, compatdbvendor_name, compatdbvendor_seo, compatdbvendor_description, compatdbvendor_keywords, compatdbvendor_products, compatdbvendor_entries) VALUES (NULL, '2', '" . $compatdb_category . "', '" . $database -> dbescape( $compatdb_vendor ) . "', '" . $system -> doseo( $compatdb_vendor . $compatdb_category_seo ) . "', '" . $osname . " " . $words_compatdb[ 'COMPATIBILITY_RESULTS_FOR' ] . " " . $database -> dbescape( $compatdb_vendor ) . "', '" . $osname . ", " . $words_compatdb[ 'COMPATIBILITY_KEYWORDS' ] . "', '1', '" . $compatdb_entries . "')" );
	}
	else
	{
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_compatdbvendors SET compatdbvendor_products = compatdbvendor_products + 1, compatdbvendor_entries = compatdbvendor_entries + " . $compatdb_entries . " WHERE compatdbvendor_name = '" . $database -> dbescape( $compatdb_vendor ) . "' AND compatdbvendor_list = '2'" );
	}
	
	$previous_vendor = $compatdb_vendor;
}
?>